aboutsummaryrefslogtreecommitdiffstats
path: root/sources/hv-collector-main/src/main/docker
diff options
context:
space:
mode:
Diffstat (limited to 'sources/hv-collector-main/src/main/docker')
-rw-r--r--sources/hv-collector-main/src/main/docker/base.json27
-rwxr-xr-xsources/hv-collector-main/src/main/docker/entry.sh20
-rwxr-xr-xsources/hv-collector-main/src/main/docker/healthcheck.sh4
3 files changed, 51 insertions, 0 deletions
diff --git a/sources/hv-collector-main/src/main/docker/base.json b/sources/hv-collector-main/src/main/docker/base.json
new file mode 100644
index 00000000..7f88cb6e
--- /dev/null
+++ b/sources/hv-collector-main/src/main/docker/base.json
@@ -0,0 +1,27 @@
+{
+ "logLevel": "INFO",
+ "server": {
+ "listenPort": 6061,
+ "idleTimeoutSec": 60,
+ "maxPayloadSizeBytes": 1048576
+ },
+ "cbs": {
+ "firstRequestDelaySec": 10,
+ "requestIntervalSec": 5
+ },
+ "security": {
+ },
+ "collector": {
+ "dummyMode": false,
+ "maxRequestSizeBytes": 1048576,
+ "kafkaServers": [
+ "message-router-kafka:9092"
+ ],
+ "routing": [
+ {
+ "fromDomain": "perf3gpp",
+ "toTopic": "HV_VES_PERF3GPP"
+ }
+ ]
+ }
+}
diff --git a/sources/hv-collector-main/src/main/docker/entry.sh b/sources/hv-collector-main/src/main/docker/entry.sh
new file mode 100755
index 00000000..a612e393
--- /dev/null
+++ b/sources/hv-collector-main/src/main/docker/entry.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+pid=-1
+
+function handle_sigterm() {
+ if [[ ${pid} -ge 0 ]]; then
+ echo "Caught SIGTERM signal. Redirecting to process with pid=${pid}"
+ kill -TERM "${pid}"
+ wait ${pid}
+ fi
+ exit 143 # 128 + 15 -- SIGTERM
+}
+trap "handle_sigterm" SIGTERM
+
+java ${JAVA_OPTS:-} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@ &
+pid=$!
+echo "Service started with pid=${pid}"
+wait ${pid}
diff --git a/sources/hv-collector-main/src/main/docker/healthcheck.sh b/sources/hv-collector-main/src/main/docker/healthcheck.sh
new file mode 100755
index 00000000..db62eece
--- /dev/null
+++ b/sources/hv-collector-main/src/main/docker/healthcheck.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+curl -f http://localhost:${VESHV_HEALTH_CHECK_API_PORT:-6060}/health/ready || exit 1
+nc -vz localhost ${VESHV_LISTEN_PORT:-6061} || exit 2